/*
 * This file leads to a menu in QCad.
 *
 * Copyright smf, some ideas taken from the QCad example scripts
 * last change: 2014-12-11
 */

include("../EAction.js");

function QCTrack(guiAction) {
    EAction.call(this, guiAction);
}

QCTrack.prototype = new EAction();
QCTrack.includeBasePath = includeBasePath;

QCTrack.getMenu = function() {
    var menu = EAction.getMenu(QCTrack.getTitle(), "QCTrackMenu");
    menu.setProperty("scriptFile", QCTrack.includeBasePath + "/QCTrack.js");
    return menu;
};

QCTrack.getToolBar = function() {
    var tb = EAction.getToolBar(QCTrack.getTitle(), "QCTrackToolBar");
    tb.visible = false;
    return tb;
};

QCTrack.getCadToolBarPanel = function() {
    return EAction.getMainCadToolBarPanel();
};

QCTrack.getTitle = function() {
    return qsTr("&QCTrack");
};

QCTrack.prototype.getTitle = function() {
    return QCTrack.getTitle();
};
